Notifications
Notifications are alerts triggered by certain events pertaining to a resource. To receive notifications for a specific resource, a user must have a subscription to the resource.
Objects
Notification
| Path | JSON Type | Format | Description |
|---|---|---|---|
id | string | Version 4 UUID | The notification ID |
created | string | ISO 8601 timestamp | The instant the notification was created at |
lastModified | string | ISO 8601 timestamp | The instant the notification was last modified at |
actor | object | Member | The member whose action raised this notification |
type | string | Notification Type | The type of notification |
resolved | bool | Whether or not the notification has been read |
{
"id" : "924570a8-be52-4001-95cf-549266cda4cd",
"created" : "2026-06-17T12:54:05.965307",
"lastModified" : "2026-06-17T12:54:05.965307",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "09437a15-ab2b-4787-9a79-880f919141b4",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-06-17T12:54:04.401429",
"lastModified" : "2026-06-17T12:54:04.40143",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "647cc60f-7656-4a28-9a59-88e08f0e3a66"
},
"dataset" : {
"id" : "647cc60f-7656-4a28-9a59-88e08f0e3a66",
"published" : "2026-06-17T12:53:58.669898",
"alias" : "analytics-tables",
"workspaceId" : "d553d480-297f-4dab-ba3b-acd3fe7d23c3",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'qbrgxvz'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-06-17T12:53:58.673305",
"score" : 1.0
},
"workspace" : {
"id" : "d553d480-297f-4dab-ba3b-acd3fe7d23c3",
"name" : "Test Workspace [2026-06-17T12:53:58.367272821]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/924570a8-be52-4001-95cf-549266cda4cd"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/924570a8-be52-4001-95cf-549266cda4cd",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/e7143c05-1764-4e12-9546-5d2d68c7033e"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/09437a15-ab2b-4787-9a79-880f919141b4"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/647cc60f-7656-4a28-9a59-88e08f0e3a66"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/647cc60f-7656-4a28-9a59-88e08f0e3a66/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/d553d480-297f-4dab-ba3b-acd3fe7d23c3"
}
}
}
Formats
Notification Type
string
| Value | Description |
|---|---|
DATASET_ACTIVITY | Any activity on the dataset |
DATASET_ANOMALY | A detected anomaly in the dataset data |
DATASET_COMMENT | A comment on the dataset |
DATASET_LIKE | A like recorded on the dataset |
DATASET_MESSAGE | A message about the dataset |
JOB_STARTED | A job started for a pipeline |
JOB_ENDED | A job ended for a pipeline |
Requests
View all notifications
GET /api/notifications?all={all}&before={before}&since={since}
Returns all notifications for the authenticated user profile.
Query Parameters
| Parameter | Required | Format | Default Value | Description |
|---|---|---|---|---|
all | No | Boolean | false | Whether or not to return both resolved and unresolved notifications |
before | No | ISO 8601 timestamp | The instant at which the request was made | The instant to return any notifications created before |
since | No | ISO 8601 timestamp | 2021-02-11T11:12 | The instant to return any notifications created since |
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/notifications?before=2026-06-17T12%3A54%3A06.543810289&since=2021-01-01T00%3A00' -i -X GET
import requests
url = "https://app.matatika.com/api/notifications?before=2026-06-17T12%3A54%3A06.543810289&since=2021-01-01T00%3A00"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Notification collection with HAL links.
{
"_embedded" : {
"notifications" : [ {
"id" : "924570a8-be52-4001-95cf-549266cda4cd",
"created" : "2026-06-17T12:54:05.965307",
"lastModified" : "2026-06-17T12:54:05.965307",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "09437a15-ab2b-4787-9a79-880f919141b4",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-06-17T12:54:04.401429",
"lastModified" : "2026-06-17T12:54:04.40143",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "647cc60f-7656-4a28-9a59-88e08f0e3a66"
},
"dataset" : {
"id" : "647cc60f-7656-4a28-9a59-88e08f0e3a66",
"published" : "2026-06-17T12:53:58.669898",
"alias" : "analytics-tables",
"workspaceId" : "d553d480-297f-4dab-ba3b-acd3fe7d23c3",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'qbrgxvz'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-06-17T12:53:58.673305",
"score" : 1.0
},
"workspace" : {
"id" : "d553d480-297f-4dab-ba3b-acd3fe7d23c3",
"name" : "Test Workspace [2026-06-17T12:53:58.367272821]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/924570a8-be52-4001-95cf-549266cda4cd"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/924570a8-be52-4001-95cf-549266cda4cd",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/e7143c05-1764-4e12-9546-5d2d68c7033e"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/09437a15-ab2b-4787-9a79-880f919141b4"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/647cc60f-7656-4a28-9a59-88e08f0e3a66"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/647cc60f-7656-4a28-9a59-88e08f0e3a66/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/d553d480-297f-4dab-ba3b-acd3fe7d23c3"
}
}
}, {
"id" : "39151f52-7eda-445b-bf87-19c0bfbba793",
"created" : "2026-06-17T12:54:05.781043",
"lastModified" : "2026-06-17T12:54:05.781044",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "369552fb-39fa-415e-81f9-65f286aa89c9",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-06-17T12:54:04.296209",
"lastModified" : "2026-06-17T12:54:04.296209",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "647cc60f-7656-4a28-9a59-88e08f0e3a66"
},
"dataset" : {
"id" : "647cc60f-7656-4a28-9a59-88e08f0e3a66",
"published" : "2026-06-17T12:53:58.669898",
"alias" : "analytics-tables",
"workspaceId" : "d553d480-297f-4dab-ba3b-acd3fe7d23c3",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'qbrgxvz'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-06-17T12:53:58.673305",
"score" : 1.0
},
"workspace" : {
"id" : "d553d480-297f-4dab-ba3b-acd3fe7d23c3",
"name" : "Test Workspace [2026-06-17T12:53:58.367272821]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/39151f52-7eda-445b-bf87-19c0bfbba793"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/39151f52-7eda-445b-bf87-19c0bfbba793",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/e7143c05-1764-4e12-9546-5d2d68c7033e"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/369552fb-39fa-415e-81f9-65f286aa89c9"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/647cc60f-7656-4a28-9a59-88e08f0e3a66"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/647cc60f-7656-4a28-9a59-88e08f0e3a66/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/d553d480-297f-4dab-ba3b-acd3fe7d23c3"
}
}
}, {
"id" : "b23f37af-811d-4195-bb89-ff4e44bccdf9",
"created" : "2026-06-17T12:54:05.606052",
"lastModified" : "2026-06-17T12:54:05.606053",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "6882a7b2-74a4-4e98-8f23-0cdb44579d8b",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-06-17T12:54:04.17917",
"lastModified" : "2026-06-17T12:54:04.17917",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "647cc60f-7656-4a28-9a59-88e08f0e3a66"
},
"dataset" : {
"id" : "647cc60f-7656-4a28-9a59-88e08f0e3a66",
"published" : "2026-06-17T12:53:58.669898",
"alias" : "analytics-tables",
"workspaceId" : "d553d480-297f-4dab-ba3b-acd3fe7d23c3",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'qbrgxvz'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-06-17T12:53:58.673305",
"score" : 1.0
},
"workspace" : {
"id" : "d553d480-297f-4dab-ba3b-acd3fe7d23c3",
"name" : "Test Workspace [2026-06-17T12:53:58.367272821]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/b23f37af-811d-4195-bb89-ff4e44bccdf9"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/b23f37af-811d-4195-bb89-ff4e44bccdf9",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/e7143c05-1764-4e12-9546-5d2d68c7033e"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/6882a7b2-74a4-4e98-8f23-0cdb44579d8b"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/647cc60f-7656-4a28-9a59-88e08f0e3a66"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/647cc60f-7656-4a28-9a59-88e08f0e3a66/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/d553d480-297f-4dab-ba3b-acd3fe7d23c3"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications?before=2026-06-17T12%3A54%3A06.543810289&since=2021-01-01T00%3A00&page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 3,
"totalPages" : 1,
"number" : 0
}
}
View all notifications for a workspace
GET /api/workspaces/{workspaceId}/notifications?all={all}&before={before}&since={since}
Returns all notifications for the workspace {workspace-id}.
Prerequisites
- Workspace
{workspace-id}must exist
Query Parameters
| Parameter | Required | Format | Default Value | Description |
|---|---|---|---|---|
all | No | Boolean | Whether or not to return both resolved and unresolved notifications | |
before | No | ISO 8601 timestamp | The instant at which the request was made | The instant to return any notifications created before |
since | No | ISO 8601 timestamp | 2021-02-11T11:12 | The instant to return any notifications created since |
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/workspaces/d553d480-297f-4dab-ba3b-acd3fe7d23c3/notifications?before=2026-06-17T12%3A54%3A06.628568288&since=2021-01-01T00%3A00' -i -X GET
import requests
url = "https://app.matatika.com/api/workspaces/d553d480-297f-4dab-ba3b-acd3fe7d23c3/notifications?before=2026-06-17T12%3A54%3A06.628568288&since=2021-01-01T00%3A00"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Notification collection with HAL links.
{
"_embedded" : {
"notifications" : [ {
"id" : "924570a8-be52-4001-95cf-549266cda4cd",
"created" : "2026-06-17T12:54:05.965307",
"lastModified" : "2026-06-17T12:54:05.965307",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "09437a15-ab2b-4787-9a79-880f919141b4",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-06-17T12:54:04.401429",
"lastModified" : "2026-06-17T12:54:04.40143",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "647cc60f-7656-4a28-9a59-88e08f0e3a66"
},
"dataset" : {
"id" : "647cc60f-7656-4a28-9a59-88e08f0e3a66",
"published" : "2026-06-17T12:53:58.669898",
"alias" : "analytics-tables",
"workspaceId" : "d553d480-297f-4dab-ba3b-acd3fe7d23c3",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'qbrgxvz'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-06-17T12:53:58.673305",
"score" : 1.0
},
"workspace" : {
"id" : "d553d480-297f-4dab-ba3b-acd3fe7d23c3",
"name" : "Test Workspace [2026-06-17T12:53:58.367272821]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/924570a8-be52-4001-95cf-549266cda4cd"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/924570a8-be52-4001-95cf-549266cda4cd",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/e7143c05-1764-4e12-9546-5d2d68c7033e"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/09437a15-ab2b-4787-9a79-880f919141b4"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/647cc60f-7656-4a28-9a59-88e08f0e3a66"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/647cc60f-7656-4a28-9a59-88e08f0e3a66/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/d553d480-297f-4dab-ba3b-acd3fe7d23c3"
}
}
}, {
"id" : "39151f52-7eda-445b-bf87-19c0bfbba793",
"created" : "2026-06-17T12:54:05.781043",
"lastModified" : "2026-06-17T12:54:05.781044",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "369552fb-39fa-415e-81f9-65f286aa89c9",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-06-17T12:54:04.296209",
"lastModified" : "2026-06-17T12:54:04.296209",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "647cc60f-7656-4a28-9a59-88e08f0e3a66"
},
"dataset" : {
"id" : "647cc60f-7656-4a28-9a59-88e08f0e3a66",
"published" : "2026-06-17T12:53:58.669898",
"alias" : "analytics-tables",
"workspaceId" : "d553d480-297f-4dab-ba3b-acd3fe7d23c3",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'qbrgxvz'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-06-17T12:53:58.673305",
"score" : 1.0
},
"workspace" : {
"id" : "d553d480-297f-4dab-ba3b-acd3fe7d23c3",
"name" : "Test Workspace [2026-06-17T12:53:58.367272821]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/39151f52-7eda-445b-bf87-19c0bfbba793"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/39151f52-7eda-445b-bf87-19c0bfbba793",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/e7143c05-1764-4e12-9546-5d2d68c7033e"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/369552fb-39fa-415e-81f9-65f286aa89c9"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/647cc60f-7656-4a28-9a59-88e08f0e3a66"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/647cc60f-7656-4a28-9a59-88e08f0e3a66/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/d553d480-297f-4dab-ba3b-acd3fe7d23c3"
}
}
}, {
"id" : "b23f37af-811d-4195-bb89-ff4e44bccdf9",
"created" : "2026-06-17T12:54:05.606052",
"lastModified" : "2026-06-17T12:54:05.606053",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "6882a7b2-74a4-4e98-8f23-0cdb44579d8b",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-06-17T12:54:04.17917",
"lastModified" : "2026-06-17T12:54:04.17917",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "647cc60f-7656-4a28-9a59-88e08f0e3a66"
},
"dataset" : {
"id" : "647cc60f-7656-4a28-9a59-88e08f0e3a66",
"published" : "2026-06-17T12:53:58.669898",
"alias" : "analytics-tables",
"workspaceId" : "d553d480-297f-4dab-ba3b-acd3fe7d23c3",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'qbrgxvz'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-06-17T12:53:58.673305",
"score" : 1.0
},
"workspace" : {
"id" : "d553d480-297f-4dab-ba3b-acd3fe7d23c3",
"name" : "Test Workspace [2026-06-17T12:53:58.367272821]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/b23f37af-811d-4195-bb89-ff4e44bccdf9"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/b23f37af-811d-4195-bb89-ff4e44bccdf9",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/e7143c05-1764-4e12-9546-5d2d68c7033e"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/6882a7b2-74a4-4e98-8f23-0cdb44579d8b"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/647cc60f-7656-4a28-9a59-88e08f0e3a66"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/647cc60f-7656-4a28-9a59-88e08f0e3a66/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/d553d480-297f-4dab-ba3b-acd3fe7d23c3"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/workspaces/d553d480-297f-4dab-ba3b-acd3fe7d23c3/notifications?before=2026-06-17T12%3A54%3A06.628568288&since=2021-01-01T00%3A00&page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 3,
"totalPages" : 1,
"number" : 0
}
}
View a notification
GET /api/notifications/{notification-id}
Returns the notification {notification-id}.
Prerequisites
- Notification
{notification-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/notifications/924570a8-be52-4001-95cf-549266cda4cd' -i -X GET
import requests
url = "https://app.matatika.com/api/notifications/924570a8-be52-4001-95cf-549266cda4cd"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Notification with HAL links.
{
"id" : "924570a8-be52-4001-95cf-549266cda4cd",
"created" : "2026-06-17T12:54:05.965307",
"lastModified" : "2026-06-17T12:54:05.965307",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "09437a15-ab2b-4787-9a79-880f919141b4",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-06-17T12:54:04.401429",
"lastModified" : "2026-06-17T12:54:04.40143",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "647cc60f-7656-4a28-9a59-88e08f0e3a66"
},
"dataset" : {
"id" : "647cc60f-7656-4a28-9a59-88e08f0e3a66",
"published" : "2026-06-17T12:53:58.669898",
"alias" : "analytics-tables",
"workspaceId" : "d553d480-297f-4dab-ba3b-acd3fe7d23c3",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'qbrgxvz'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-06-17T12:53:58.673305",
"score" : 1.0
},
"workspace" : {
"id" : "d553d480-297f-4dab-ba3b-acd3fe7d23c3",
"name" : "Test Workspace [2026-06-17T12:53:58.367272821]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/924570a8-be52-4001-95cf-549266cda4cd"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/924570a8-be52-4001-95cf-549266cda4cd",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/e7143c05-1764-4e12-9546-5d2d68c7033e"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/09437a15-ab2b-4787-9a79-880f919141b4"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/647cc60f-7656-4a28-9a59-88e08f0e3a66"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/647cc60f-7656-4a28-9a59-88e08f0e3a66/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/d553d480-297f-4dab-ba3b-acd3fe7d23c3"
}
}
}
Refresh notifications
PUT /api/notifications?since={since}&markAsResolved={markAsResolved}
Returns new notifications for the authenticated user profile, optionally marking existing notifications as resolved up to the moment the request was made or the supplied since parameter.
Query Parameters
| Parameter | Required | Format | Default Value | Description |
|---|---|---|---|---|
since | No | ISO 8601 timestamp | The instant at which the request was made | The instant to fetch any new notifications from |
markAsResolved | No | Boolean | true | Whether or not to mark notifications created up to since as resolved |
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/notifications?since=2026-06-17T12%3A54%3A10.935536' -i -X PUT \
-H 'Content-Type: application/json'
import requests
url = "https://app.matatika.com/api/notifications?since=2026-06-17T12%3A54%3A10.935536"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Notification collection with HAL links.
{
"_embedded" : {
"notifications" : [ {
"id" : "76dd5ea7-97c8-431d-a8ef-b01f9b311c04",
"created" : "2026-06-17T12:54:12.041981",
"lastModified" : "2026-06-17T12:54:12.041981",
"type" : "DATASET_COMMENT",
"actor" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"resolved" : false,
"_embedded" : {
"subscriberProfile" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"channel" : {
"name" : "no-picture",
"description" : "No picture",
"picture" : "https://s.gravatar.com/avatar/357b18eea0ae8abd799a31e2ca1ad3e5?s=480&r=pg&d=https%3A%2F%2Fcdn.auth0.com%2Favatars%2Fsi.png"
},
"datasetComment" : {
"id" : "ed18aa58-11f3-41e8-a360-4c9ced2cf1aa",
"message" : "SIT-generated comment",
"likeCount" : 0,
"created" : "2026-06-17T12:54:11.383059",
"lastModified" : "2026-06-17T12:54:11.383059",
"from" : {
"id" : "auth0|6a21dc7aa1db2e036a222942",
"name" : "sit+prod@meltano.com",
"handle" : "@sit+prod1"
},
"commentCount" : 0,
"datasetId" : "647cc60f-7656-4a28-9a59-88e08f0e3a66"
},
"dataset" : {
"id" : "647cc60f-7656-4a28-9a59-88e08f0e3a66",
"published" : "2026-06-17T12:53:58.669898",
"alias" : "analytics-tables",
"workspaceId" : "d553d480-297f-4dab-ba3b-acd3fe7d23c3",
"source" : "no-picture",
"title" : "What tables are in our #fantastic data warehouse?",
"description" : "# Overview\nThis example is a standalone data set with no visualisation.\n\n## What tables are in my data warehouse\nOur query in this dataset selects all the tables in the same schema we have configured the workspace to use.\n```SHOW TABLES```\n\n## Notes\nThe query is database specific. The #postgres query is\n\n```SELECT * FROM pg_tables where schemaname = 'qbrgxvz'```",
"likeCount" : 0,
"commentCount" : 0,
"viewCount" : 0,
"created" : "2026-06-17T12:53:58.673305",
"score" : 1.0
},
"workspace" : {
"id" : "d553d480-297f-4dab-ba3b-acd3fe7d23c3",
"name" : "Test Workspace [2026-06-17T12:53:58.367272821]"
}
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications/76dd5ea7-97c8-431d-a8ef-b01f9b311c04"
},
"delete notification" : {
"href" : "https://app.matatika.com/api/notifications/76dd5ea7-97c8-431d-a8ef-b01f9b311c04",
"type" : "DELETE"
},
"channel" : {
"href" : "https://app.matatika.com/api/channels/e7143c05-1764-4e12-9546-5d2d68c7033e"
},
"datasetComment" : {
"href" : "https://app.matatika.com/api/comments/ed18aa58-11f3-41e8-a360-4c9ced2cf1aa"
},
"dataset" : {
"href" : "https://app.matatika.com/api/datasets/647cc60f-7656-4a28-9a59-88e08f0e3a66"
},
"data" : {
"href" : "https://app.matatika.com/api/datasets/647cc60f-7656-4a28-9a59-88e08f0e3a66/data"
},
"workspace" : {
"href" : "https://app.matatika.com/api/workspaces/d553d480-297f-4dab-ba3b-acd3fe7d23c3"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/notifications?since=2026-06-17T12%3A54%3A10.935536&page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 1,
"totalPages" : 1,
"number" : 0
}
}
Delete a notification
DELETE /api/notifications/{notification-id}
Deletes the notification {notification-id}.
Prerequisites
- Notification
{notification-id}must exist
Examples
- cURL
- Python (requests)
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/notifications/924570a8-be52-4001-95cf-549266cda4cd' -i -X DELETE
import requests
url = "https://app.matatika.com/api/notifications/924570a8-be52-4001-95cf-549266cda4cd"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("DELETE", url, headers=headers)
print(response.text.encode('utf8'))
Response
204 No Content
No response body provided.